Index: src/mlx/gui/callouts.py
===================================================================
--- src/mlx/gui/callouts.py	(revision 995)
+++ src/mlx/gui/callouts.py	(revision 996)
@@ -27,5 +27,5 @@
 #------------------------------------------------------------------------------
 
-class ApproachCalloutsEditor(gtk.Dialog):
+class ApproachCalloutsEditor(Gtk.Dialog):
     """The dialog to edit the approach callouts."""
     integerRE = re.compile("[0-9]+")
@@ -67,18 +67,18 @@
 
         # FIXME: common code with the checklist editor
-        typeBox = gtk.HBox()
-
-        label = gtk.Label(xstr("callouts_aircraftType"))
+        typeBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("callouts_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = gtk.ListStore(str, int)
+        self._aircraftTypeModel = Gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = gtk.CellRendererText()
+        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -90,5 +90,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -98,8 +98,8 @@
         # FIXME: common code until here, but note that some texts are different
 
-        contentBox = gtk.HBox()        
-
-        controlBox = gtk.VBox()
-        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        contentBox = Gtk.HBox()        
+
+        controlBox = Gtk.VBox()
+        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -108,9 +108,9 @@
         contentBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = gtk.Button(xstr("callouts_add"))
+        self._addButton = Gtk.Button(xstr("callouts_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("callouts_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -119,5 +119,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = gtk.Button(xstr("callouts_remove"))
+        self._removeButton = Gtk.Button(xstr("callouts_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("callouts_remove_tooltip"))
@@ -125,5 +125,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -132,5 +132,5 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._fileListModel = gtk.ListStore(int, str, str)
+        self._fileListModel = Gtk.ListStore(int, str, str)
         self._fileListModel.set_sort_column_id(0, SORT_DESCENDING)
 
@@ -139,14 +139,14 @@
         self._lastAddedAltitude = None
         
-        self._fileList = gtk.TreeView(model = self._fileListModel)
-
-        renderer = gtk.CellRendererSpin()
+        self._fileList = Gtk.TreeView(model = self._fileListModel)
+
+        renderer = Gtk.CellRendererSpin()
         renderer.set_property("editable", True)
 
-        adjustment = gtk.Adjustment(0, 0, 5000, 10, 100)
+        adjustment = Gtk.Adjustment(0, 0, 5000, 10, 100)
         renderer.set_property("adjustment", adjustment);
         renderer.connect("edited", self._altitudeEdited)
         
-        column = gtk.TreeViewColumn(xstr("callouts_header_altitude"),
+        column = Gtk.TreeViewColumn(xstr("callouts_header_altitude"),
                                     renderer, text = 0)
         self._fileList.append_column(column)
@@ -159,6 +159,6 @@
         column.set_expand(False)
 
-        column = gtk.TreeViewColumn(xstr("callouts_header_path"),
-                                    gtk.CellRendererText(), text = 1)
+        column = Gtk.TreeViewColumn(xstr("callouts_header_path"),
+                                    Gtk.CellRendererText(), text = 1)
         self._fileList.append_column(column)
         column.set_expand(True)
@@ -178,5 +178,5 @@
         self._buildFileListPopupMenu()
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(300, -1)
@@ -184,5 +184,5 @@
         scrolledWindow.set_shadow_type(SHADOW_IN)
         
-        fileListAlignment = gtk.Alignment(xscale=1.0, yscale=1.0, 
+        fileListAlignment = Gtk.Alignment(xscale=1.0, yscale=1.0, 
                                           xalign=0.5, yalign=0.5)
         fileListAlignment.set_padding(padding_top = 0, padding_bottom = 16,
@@ -292,5 +292,5 @@
         otherPath = self._hasAltitude(newAltitude, ignorePath = editedPath)
         if otherPath is not None:
-            dialog = gtk.MessageDialog(parent = self,
+            dialog = Gtk.MessageDialog(parent = self,
                                        type = MESSAGETYPE_QUESTION,
                                        message_format =
@@ -346,10 +346,10 @@
         If it does not exist yet, it will be created."""
         if self._fileOpenDialog is None:
-            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("callouts_open_title"),
                                            action = FILE_CHOOSER_ACTION_OPEN,
-                                           buttons = (gtk.STOCK_CANCEL,
+                                           buttons = (Gtk.STOCK_CANCEL,
                                                       RESPONSETYPE_CANCEL,
-                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
+                                                      Gtk.STOCK_OK, RESPONSETYPE_OK),
                                            parent = self)
             dialog.set_modal(True)            
@@ -358,5 +358,5 @@
             # FIXME: create the filters in one location and use them
             # from there
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_audio"))
             filter.add_pattern("*.wav")
@@ -364,5 +364,5 @@
             dialog.add_filter(filter)
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -481,7 +481,7 @@
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("callouts_remove"))
         menuItem.set_use_underline(True)
